Subject: [PATCH 0/7] netpoll: recursion fixes, queueing, and cleanups

From: Matt Mackall <[email-masked]>
Date: Thu, 03 Mar 2005 14:46:31 -0600

This patch series against 2.6.11 fixes up some recursion deadlocks in
netpoll and adds support for fallback to queueing. Various cleanups
along the way.

Holds up under load testing via ipt_LOG on a dual Opteron with tg3.
Please apply.